Goals
GET https://oohbe.com/api/goals/
curl --request GET \
--url 'https://oohbe.com/api/goals/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://oohbe.com/api/goals/' \
--header 'Authorization: Bearer {api_key}' \
| パラメータ | 詳細 | 説明 |
|---|---|---|
| website_id | オプション 整数 | |
| type | オプション 文字列 | 許可された値: pageview, custom |
| search | オプション 文字列 | 検索文字列。 |
| search_by | オプション 文字列 | 検索するフィールドは何ですか。許可されている値は:name, path, key。 |
| datetime_field | オプション 文字列 | 許可された値: datetime, last_datetime |
| datetime_start | オプション 文字列 | 開始日時 |
| datetime_end | オプション 文字列 | 終了日時 |
| order_by | オプション 文字列 | 結果をどのフィールドで並べ替えるか。許可されている値は:goal_id, last_datetime, datetime, name, path, key。 |
| order_type | オプション 文字列 | 結果の並び順。許可されている値は、昇順のためのASCと、降順のためのDESCです。 |
| page | オプション 整数 | 結果を取得したいページ番号。デフォルトは1です。 |
| results_per_page | オプション 整数 | 1ページあたりの結果数はどのくらいにしますか。許可されている値は:10, 25, 50, 100, 250, 500, 1000。デフォルトは25です。 |
{
"data": [
{
"id": 1,
"website_id": 1,
"user_id": 1,
"key": "123456789",
"type": "custom",
"path": null,
"name": "Example",
"datetime": "2026-05-17 03:07:52",
"last_datetime": null
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://oohbe.com/api/goals?page=1",
"last": "https://oohbe.com/api/goals?page=1",
"next": null,
"prev": null,
"self": "https://oohbe.com/api/goals?page=1"
}
}
GET https://oohbe.com/api/goals/{goal_id}
curl --request GET \
--url 'https://oohbe.com/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://oohbe.com/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"key": "123456789",
"type": "custom",
"path": null,
"name": "Example",
"datetime": "2026-05-17 03:07:52",
"last_datetime": null
}
}
POST https://oohbe.com/api/goals
| パラメータ | 詳細 | 説明 |
|---|---|---|
| website_id | 必須 整数 | - |
| type | 必須 文字列 | 許可された値: pageview, custom |
| name | 必須 文字列 | - |
| path | オプション 文字列 | 利用可能な時期: type = pageview |
| key | オプション 文字列 | - |
curl --request POST \
--url 'https://oohbe.com/api/goals' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'chart_datetime=2026-05-17 03:07:52' \
--url 'https://oohbe.com/api/goals' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'chart_datetime=2026-05-17 03:07:52' \
{
"data": {
"id": 1
}
}
POST https://oohbe.com/api/goals/{goal_id}
| パラメータ | 詳細 | 説明 |
|---|---|---|
| website_id | オプション 整数 | - |
| type | オプション 文字列 | 許可された値: pageview, custom |
| name | オプション 文字列 | - |
| path | オプション 文字列 | 利用可能な時期: type = pageview |
| key | オプション 文字列 | - |
curl --request POST \
--url 'https://oohbe.com/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=0' \
--url 'https://oohbe.com/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://oohbe.com/api/goals/{goal_id}
curl --request DELETE \
--url 'https://oohbe.com/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://oohbe.com/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \